Subject: bug#11774: [O] bug#11774: bug#11774: org-mode causes undo boundaries to be lost

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Nov 2014 09:35:12 -0500

> There is one possible bug.  I have undo-boundary on self-insert-hook.
> If I do newline-and-indent, for some reason both the newline and the
> indent get undo boundaries.  My expectation is that typing RET should
> only have one undo boundary.
> I don't know if that is user expectation error, but seems worth mentioning.

Maybe the issue is simply that you need to be careful to put your
undo-boundary "late" on the post-self-insert-hook (i.e. to use the
`append' argument of add-hook).

If not, then please post a new bug-report about it, so we can see
on which side it should be solved.

        Stefan